- Random123-1.09 Documentation

Public Member Functions | Public Attributes

# r123m128i Struct Reference

`#include <Random123/features/sse.h>`

List of all members.

## Public Member Functions
r123m128i & | operator= (const __m128i &rhs)
r123m128i & | operator= (uint64_t n)
| operator const void * () const
| operator __m128i () const
## Public Attributes
__m128i | m

## Member Function Documentation

r123m128i::operator __m128i | ( |  | ) | const`[inline]`

r123m128i::operator const void * | ( |  | ) | const`[inline]`

r123m128i& r123m128i::operator= | ( | const __m128i & | rhs | ) | `[inline]`

r123m128i& r123m128i::operator= | ( | uint64_t | n | ) | `[inline]`

## Member Data Documentation

__m128i r123m128i::m

The documentation for this struct was generated from the following file:

- Random123/features/sse.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines